package com.docus.server.message.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.message.entity.TBasicExcel;
import com.docus.server.message.entity.TScanAssort;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface ZxjhMapper {

    List<TBasicExcel> getBasicData(@Param("fileSource") String fileSource,
                                   @Param("disDates") Date disDates,
                                   @Param("disDatee") Date disDatee);

    int saveLog(@Param("pid") String pid,@Param("msg") String msg);

    int delete(@Param("pid") String pid);

    int saveAssort(@Param("tScanAssorts")List<TScanAssort> tScanAssorts);

    String getJzh(@Param("pid") String pid);

}




